Subject: [mpls] I-D Action: draft-ietf-mpls-tp-ring-protection-03.txt

From: [email-masked]
Date: Mon, 05 Nov 2012 00:52:49 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Multiprotocol Label Switching Working Group of the IETF.

	Title           : Applicability of MPLS-TP Linear Protection for Ring Topologies
	Author(s)       : Yaacov Weingarten
                          Stewart Bryant
                          Danielle Ceccarelli
                          Diego Caviglia
                          Francesco Fondelli
                          Marco Corsi
                          Bo Wu
                          Xuehui Dai
	Filename        : draft-ietf-mpls-tp-ring-protection-03.txt
	Pages           : 29
	Date            : 2012-11-05

Abstract:
   This document presents an applicability of linear protection
   mechanisms for Multi-Protocol Label Switching Transport Profile
   (MPLS-TP) in ring topologies.  Protection on rings offers a number of
   opportunities for optimization as the protection choices are starkly
   limited (all traffic traveling one way around a ring can only be
   switched to travel the other way on the ring), but also suffers from
   some complications caused by the limitations of the topology.

   Requirements for MPLS-TP protection and specifically for protection
   in ring topologies are discussed in "Requirements of an MPLS
   Transport Profile" (RFC 5654) and "MPLS Transport Profile (MPLS-TP)
   Survivability Framework" (RFC 6372).  This document shows how MPLS-TP
   linear protection as defined in RFC 6378 can be applied to ring
   topologies, discusses how most of the requirements are met, and
   describes scenarios in which the function provided by applying linear
   protection in a ring topology falls short of some of the
   requirements.

   This document is a product of a joint Internet Engineering Task Force
   (IETF) / International Telecommunications Union Telecommunications
   Standardization Sector (ITU-T) effort to include an MPLS Transport
   Profile within the IETF MPLS and PWE3 architectures to support the
   capabilities and functionalities of a packet transport network as
   defined by the ITU-T.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-mpls-tp-ring-protection

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-mpls-tp-ring-protection-03

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-mpls-tp-ring-protection-03

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Yaacov Weingarten <[email-masked]>
Date: Mon, 5 Nov 2012 11:00:16 +0200

Hi all,

I have just uploaded a new version of the Ring Protection Applicability
draft.  This is not the final version, but rather a version that tries to
address the many comments that were received during the WGLC tthat was held
last month.  Please review this version to  verify that your comments have
been addressed (along the lines that were outlined in my various emails
sent earlier to the list).

There are some comments that need to be addressed, awating some
clarifications from the submitters of the comments and in addition there
was a request to reduce the number of authors appearing on the front page
of the draft.

Any additional comments are encouraged.

On Mon, Nov 5, 2012 at 10:52 AM, <[email-masked]> wrote:

> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
>

-- 
Thanx and BR,
yaacov

*Still looking for new opportunity*

---

From: [email-masked]
Date: Mon, 5 Nov 2012 18:43:31 +0800

Yaacov,hi
i have only one question, why to limit to 1+1 linear protection for 
steering for p2mp path.
why not apply 1:1 linear protection mechanism?
it says, the p2mp traffic is only trasnported on the working path under 
normal condition.
if a failure happens on the ring. the p2mp traffic will be transported on 
both working path and protection path.
each egress node will select working path or protection path to receive 
the traffic.
IMO, 1: 1 protection may be more effective than 1+1 protection.

is my understanding right? thanks

B.R.
Liu 

Yaacov Weingarten <[email-masked]> 
发件人:  [email-masked]
2012-11-05 17:00

收件人
[email-masked]
抄送

主题
Re: [mpls] I-D Action: draft-ietf-mpls-tp-ring-protection-03.txt

Hi all,

I have just uploaded a new version of the Ring Protection Applicability 
draft.  This is not the final version, but rather a version that tries to 
address the many comments that were received during the WGLC tthat was 
held last month.  Please review this version to  verify that your comments 
have been addressed (along the lines that were outlined in my various 
emails sent earlier to the list).

A New Internet-Draft is available from the on-line Internet-Drafts 
directories.
 This draft is a work item of the Multiprotocol Label Switching Working 
Group of the IETF.

        Title           : Applicability of MPLS-TP Linear Protection for 
Ring Topologies
        Author(s)       : Yaacov Weingarten
                          Stewart Bryant
                          Danielle Ceccarelli
                          Diego Caviglia
                          Francesco Fondelli
                          Marco Corsi
                          Bo Wu
                          Xuehui Dai
        Filename        : draft-ietf-mpls-tp-ring-protection-03.txt
        Pages           : 29
        Date            : 2012-11-05

Abstract:

-- 
Thanx and BR,
yaacov

Still looking for new opportunity
_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls

--------------------------------------------------------
ZTE Information Security Notice: The information contained in this mail (and any attachment transmitted herewith) is privileged and confidential and is intended for the exclusive use of the addressee(s).  If you are not an intended recipient, any disclosure, reproduction, distribution or other dissemination or use of the information contained is strictly prohibited.  If you have received this mail in error, please delete it and notify us immediately.

---

From: Yaacov Weingarten <[email-masked]>
Date: Mon, 5 Nov 2012 14:35:27 +0200

Liu, hi

The reasons that we suggest using 1+1 protection for p2mp include the
following:

1. p2mp paths are unidirectional in MPLS-TP and this has implications
regarding the use of OAM and coordination protocols and their efficiency.
2. If we used a pure 1:1 solution and the working path fails somewhere
between the different egress points neither the working path nor the
protection path have access to the full set of egress points.  However, by
using 1+1 protection and multiplexing the data on both the working and
protection paths around the ring, all egress nodes should receive the data
packets, either from the working or the protection path.

Hope this helps,
yaacov

On Mon, Nov 5, 2012 at 12:43 PM, <[email-masked]> wrote:

>  *Yaacov Weingarten <[email-masked]>*
> On Mon, Nov 5, 2012 at 10:52 AM, <[email-masked]*<[email-masked]>>
> wrote:
>
> The IETF datatracker status page for this draft is:*
> **https://datatracker.ietf.org/doc/draft-ietf-mpls-tp-ring-protection*<https://datatracker.ietf.org/doc/draft-ietf-mpls-tp-ring-protection>
>
> There's also a htmlized version available at:*
> **http://tools.ietf.org/html/draft-ietf-mpls-tp-ring-protection-03*<http://tools.ietf.org/html/draft-ietf-mpls-tp-ring-protection-03>
>
> A diff from the previous version is available at:*
> **http://www.ietf.org/rfcdiff?url2=draft-ietf-mpls-tp-ring-protection-03*<http://www.ietf.org/rfcdiff?url2=draft-ietf-mpls-tp-ring-protection-03>
>
>
> Internet-Drafts are also available by anonymous FTP at:*
> **ftp://ftp.ietf.org/internet-drafts/*<ftp://ftp.ietf.org/internet-drafts/>
>
> mpls mailing list*
> [email-masked]* <[email-masked]>*
> **https://www.ietf.org/mailman/listinfo/mpls*<https://www.ietf.org/mailman/listinfo/mpls>
>
>
>
> --
> Thanx and BR,
> yaacov
>

-- 
Thanx and BR,
yaacov

---

From: David Allan I <[email-masked]>
Date: Mon, 5 Nov 2012 18:14:01 +0000

Hi Liu:

Problem with 1:1 applied to p2mp in the general case is that two failures could result in two incomplete trees with no recourse other than restoration, while 1+1 reduces the probability of this "bad luck scenario" significantly....I've not specifically analyzed rings, but would suspect the same conclusions can be drawn.

I hope this helps
Dave

________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, November 05, 2012 2:44 AM
To: Yaacov Weingarten
Cc: [email-masked]
Subject: Re: [mpls] I-D Action: draft-ietf-mpls-tp-ring-protection-03.txt

Yaacov,hi
i have only one question, why to limit to 1+1 linear protection for steering for p2mp path.
why not apply 1:1 linear protection mechanism?
it says, the p2mp traffic is only trasnported on the working path under normal condition.
if a failure happens on the ring. the p2mp traffic will be transported on both working path and protection path.
each egress node will select working path or protection path to receive the traffic.
IMO, 1: 1 protection may be more effective than 1+1 protection.

B.R.
Liu

2012-11-05 17:00

收件人
[email-masked]
抄送
主题

Hi all,

I have just uploaded a new version of the Ring Protection Applicability draft.  This is not the final version, but rather a version that tries to address the many comments that were received during the WGLC tthat was held last month.  Please review this version to  verify that your comments have been addressed (along the lines that were outlined in my various emails sent earlier to the list).

There are some comments that need to be addressed, awating some clarifications from the submitters of the comments and in addition there was a request to reduce the number of authors appearing on the front page of the draft.

On Mon, Nov 5, 2012 at 10:52 AM, <[email-masked]<mailto:[email-masked]>> wrote:

Abstract:

_______________________________________________
mpls mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mpls

--
Thanx and BR,
yaacov

---

From: [email-masked]
Date: Tue, 6 Nov 2012 10:26:58 +0800

Dave and Yaacov
thank you for replying and explaining . i understand what you said. but in 
my mind,
this 1:1 protection is not pure 1:1 solution. the ingress node only bridge 
the working path without failure on the ring.
when a failure is detected on the ring. the ingress node will apply 1+1 
mode to send the traffic on both the working path 
and the protection path.so it is impossible for some egress nodes to not 
receive the data packets from working path or protection path.
considering there are two failures on the ring at the same time just like 
what Dave said. if some egress nodes are isolated from
the ingress node. even if applying 1+1 protection, they can't receive the 
data packets by either the working path or the proection path.

B.R.
liu

David Allan I <[email-masked]> 
2012-11-06 02:14

收件人
"[email-masked]" <[email-masked]>, Yaacov Weingarten 
<[email-masked]>
抄送
"[email-masked]" <[email-masked]>
主题
RE: [mpls] I-D Action: draft-ietf-mpls-tp-ring-protection-03.txt

Hi Liu:
 
Problem with 1:1 applied to p2mp in the general case is that two failures 
could result in two incomplete trees with no recourse other than 
restoration, while 1+1 reduces the probability of this "bad luck scenario" 
significantly....I've not specifically analyzed rings, but would suspect 
the same conclusions can be drawn.
 
I hope this helps
Dave

From: [email-masked] [mailto:[email-masked]] On Behalf Of 
[email-masked]
Sent: Monday, November 05, 2012 2:44 AM
To: Yaacov Weingarten
Cc: [email-masked]
Subject: Re: [mpls] I-D Action: draft-ietf-mpls-tp-ring-protection-03.txt

Yaacov,hi 

B.R. 
Liu 

收件人
[email-masked] 
抄送

主题

Hi all, 

Abstract:

-- 
Thanx and BR, 
yaacov 

--------------------------------------------------------
ZTE Information Security Notice: The information contained in this mail 
(and any attachment transmitted herewith) is privileged and confidential 
and is intended for the exclusive use of the addressee(s).  If you are not 
an intended recipient, any disclosure, reproduction, distribution or other 
dissemination or use of the information contained is strictly prohibited. 
If you have received this mail in error, please delete it and notify us 
immediately.

---

From: David Allan I <[email-masked]>
Date: Wed, 7 Nov 2012 01:25:51 +0000

Hi Liu

Yes, two failures on a ring will completely sever some nodes. Wild agreement

Given it appears that you are now reinventing what 1:1 is such that 1+1 is the failure mode, I'm losing the plot....

Can you clarify?
Dave

________________________________
From: [email-masked] [mailto:[email-masked]]
Sent: Monday, November 05, 2012 6:27 PM
To: David Allan I
Cc: [email-masked]; Yaacov Weingarten
Subject: RE: [mpls] I-D Action: draft-ietf-mpls-tp-ring-protection-03.txt

Dave and Yaacov
thank you for replying and explaining . i understand what you said. but in my mind,
this 1:1 protection is not pure 1:1 solution. the ingress node only bridge the working path without failure on the ring.
when a failure is detected on the ring. the ingress node will apply 1+1 mode to send the traffic on both the working path
and the protection path.so it is impossible for some egress nodes to not receive the data packets from working path or protection path.
considering there are two failures on the ring at the same time just like what Dave said. if some egress nodes are isolated from
the ingress node. even if applying 1+1 protection, they can't receive the data packets by either the working path or the proection path.

B.R.
liu

2012-11-06 02:14

收件人
"[email-masked]" <[email-masked]>, Yaacov Weingarten <[email-masked]>
抄送
"[email-masked]" <[email-masked]>
主题
RE: [mpls] I-D Action: draft-ietf-mpls-tp-ring-protection-03.txt

Hi Liu:

I hope this helps
Dave

Yaacov,hi

B.R.
Liu

2012-11-05 17:00

收件人
[email-masked]
抄送
主题

Hi all,

Abstract:

--
Thanx and BR,
yaacov

---

From: [email-masked]
Date: Fri, 9 Nov 2012 16:30:15 +0800

Dave 
i say sorry for replying so late. using 1:1 and 1+1 protection is not 
completely true.
in my mind. for any ingress node of the ring. if they didn't detect and be 
notified any failure on the ring.
they would only send data packets on the working path. else if they 
detected and be notified any failure on the ring.
they would bridge the data packets to both working path and protection 
path. all egress node of the ring would select
one of the two paths to receive the data packets.

B.R.
Liu

2012-11-07 09:25

收件人
"[email-masked]" <[email-masked]>
抄送
"[email-masked]" <[email-masked]>, Yaacov Weingarten <[email-masked]>
主题
RE: [mpls] I-D Action: draft-ietf-mpls-tp-ring-protection-03.txt

Hi Liu
 
Yes, two failures on a ring will completely sever some nodes. Wild 
agreement
 
Given it appears that you are now reinventing what 1:1 is such that 1+1 is 
the failure mode, I'm losing the plot....
 
Can you clarify?
Dave

Dave and Yaacov 

B.R. 
liu 

收件人

Hi Liu: 

I hope this helps 
Dave 

Yaacov,hi 

B.R. 
Liu 

收件人
[email-masked] 
抄送

主题

Hi all, 

Abstract:

-- 
Thanx and BR, 
yaacov

---

From: Yaacov Weingarten <[email-masked]>
Date: Fri, 9 Nov 2012 14:08:34 +0200

Yes, that sounds reasonable except for one detail - the linear protection
protocol in RFC6378 (and in fact any LP data protocol) includes a field
that indicates whether the protection domain is using 1:1 or 1+1
protection, and what you are suggesting could cause all sorts of mismatches
for the protocol that should raise all sorts of flags to the management
system.  Unless of course that you  are suggesting that you are not using
any LP and just dependent upon the OAM errors - which leads to questions of
how quickly you can switchover and whether all LSRs in the "ring" are
coordinated.

BR,
yaacov
On Nov 9, 2012 10:30 AM, <[email-masked]> wrote:

>  *David Allan I <[email-masked]>*
>
> 2012-11-07 09:25
> 收件人
> ------------------------------
> *From:* [email-masked] [mailto:[email-masked]] *
> Sent:* Monday, November 05, 2012 6:27 PM*
> To:* David Allan I*
> Cc:* [email-masked]; Yaacov Weingarten*
> Subject:* RE: [mpls] I-D Action: draft-ietf-mpls-tp-ring-protection-03.txt
>
>
> Dave and Yaacov
>   *David Allan I <[email-masked]>*
>
> 2012-11-06 02:14
>   收件人
>  ------------------------------
> *From:* [email-masked] [mailto:[email-masked]] *On Behalf
> Of [email-masked]*
> Sent:* Monday, November 05, 2012 2:44 AM*
> To:* Yaacov Weingarten*
> Cc:* [email-masked]*
> Subject:* Re: [mpls] I-D Action: draft-ietf-mpls-tp-ring-protection-03.txt
>
>
> Yaacov,hi
> yaacov *
> Still looking for new opportunity*

---

From: [email-masked]
Date: Sat, 10 Nov 2012 15:19:27 +0800

hi, Yaacov
I think you are right if using PSC protocol during this protection. While 
I think it unnecessary to use PSC protocol to coordinate the state between
ingress node and other egress nodes. If an ingress node detect a failure 
on the ring,  it will bridge its data packet to the working path and the 
protection
path immediately. While all egress nodes will adopt merger selector to 
receive the data packet from the working path or the protection path.

Do I miss something important?

B.R.
liu

2012-11-09 20:08

收件人
[email-masked]
抄送
"[email-masked]" <[email-masked]>, David Allan I 
<[email-masked]>
主题
RE: [mpls] I-D Action: draft-ietf-mpls-tp-ring-protection-03.txt

Yes, that sounds reasonable except for one detail - the linear protection 
protocol in RFC6378 (and in fact any LP data protocol) includes a field 
that indicates whether the protection domain is using 1:1 or 1+1 
protection, and what you are suggesting could cause all sorts of 
mismatches for the protocol that should raise all sorts of flags to the 
management system.  Unless of course that you  are suggesting that you are 
not using any LP and just dependent upon the OAM errors - which leads to 
questions of how quickly you can switchover and whether all LSRs in the 
"ring" are coordinated.
BR,
yaacov
On Nov 9, 2012 10:30 AM, <[email-masked]> wrote:

Dave 

B.R. 
Liu

收件人

Hi Liu 

  
Can you clarify? 
Dave 

Dave and Yaacov 

B.R. 
liu 

收件人
"[email-masked]" <[email-masked]>, Yaacov Weingarten <
[email-masked]> 
抄送
"[email-masked]" <[email-masked]> 
主题
RE: [mpls] I-D Action: draft-ietf-mpls-tp-ring-protection-03.txt

Hi Liu: 

I hope this helps 
Dave 

Yaacov,hi 

B.R. 
Liu 

收件人
[email-masked] 
抄送

主题

Hi all, 

Abstract:

-- 
Thanx and BR, 
yaacov